Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event_Manager Class Reference

`#include <Notify_Event_Manager.h>`

Collaboration diagram for TAO_Notify_Event_Manager:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Event_Manager (TAO_Notify_EventChannel_i *parent, TAO_Notify_EMO_Factory *emo_factory)
| ~TAO_Notify_Event_Manager ()
void | init (ACE_ENV_SINGLE_ARG_DECL)
void | shutdown (ACE_ENV_SINGLE_ARG_DECL)
void | subscribe_for_events (TAO_Notify_EventListener *event_listener, const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL)
void | update_publication_list (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL)
void | register_for_subscription_updates (TAO_Notify_UpdateListener *update_listener ACE_ENV_ARG_DECL)
void | unregister_from_subscription_updates (TAO_Notify_UpdateListener *update_listener ACE_ENV_ARG_DECL)
void | register_for_publication_updates (TAO_Notify_UpdateListener *update_listener ACE_ENV_ARG_DECL)
void | unregister_from_publication_updates (TAO_Notify_UpdateListener *update_listener ACE_ENV_ARG_DECL)
CosNotification::EventTypeSeq * | obtain_offered_types (void)
CosNotification::EventTypeSeq * | obtain_subscription_types (void)
TAO_Notify_Event_Map * | event_map (void)
TAO_Notify_Event_Processor * | event_processor (void)
TAO_Notify_AdminProperties * | admin_properties (void)
TAO_Notify_EMO_Factory * | resource_factory (void)
void | process_event (TAO_Notify_Event *event, TAO_Notify_EventSource *event_source ACE_ENV_ARG_DECL)
void | update_task_admins (void)
## Protected Methods
void | dispatch_updates_i (TAO_Notify_UpdateListener_List *update_listener_list, TAO_Notify_EventType_List &added, TAO_Notify_EventType_List &removed ACE_ENV_ARG_DECL)
## Protected Attributes
TAO_Notify_EventChannel_i * | event_channel_
TAO_Notify_Event_Map * | event_map_
TAO_Notify_Event_Processor * | event_processor_
TAO_Notify_Worker_Task * | updates_dispatching_task_
TAO_Notify_EMO_Factory * | emo_factory_
ACE_Lock * | lock_
TAO_Notify_AdminProperties * | admin_properties_

## Constructor & Destructor Documentation

TAO_Notify_Event_Manager::TAO_Notify_Event_Manager | ( | TAO_Notify_EventChannel_i * | event_channel,
|  | TAO_Notify_EMO_Factory * | emo_factory
| ) |

TAO_Notify_Event_Manager::~TAO_Notify_Event_Manager | ( |  | ) |

## Member Function Documentation

TAO_Notify_AdminProperties* TAO_Notify_Event_Manager::admin_properties | ( | void |  | ) |

void TAO_Notify_Event_Manager::dispatch_updates_i | ( | TAO_Notify_UpdateListener_List * | update_listener_list,
|  | TAO_Notify_EventType_List & | added,
|  | TAO_Notify_EventType_List &removed | ACE_ENV_ARG_DECL
| ) | `[protected]`

TAO_Notify_Event_Map* TAO_Notify_Event_Manager::event_map | ( | void |  | ) |

TAO_Notify_Event_Processor* TAO_Notify_Event_Manager::event_processor | ( | void |  | ) |

void TAO_Notify_Event_Manager::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

CosNotification::EventTypeSeq* TAO_Notify_Event_Manager::obtain_offered_types | ( | void |  | ) |

CosNotification::EventTypeSeq* TAO_Notify_Event_Manager::obtain_subscription_types | ( | void |  | ) |

void TAO_Notify_Event_Manager::process_event | ( | TAO_Notify_Event * | event,
|  | TAO_Notify_EventSource *event_source | ACE_ENV_ARG_DECL
| ) |

void TAO_Notify_Event_Manager::register_for_publication_updates | ( | TAO_Notify_UpdateListener *update_listener | ACE_ENV_ARG_DECL | ) |

void TAO_Notify_Event_Manager::register_for_subscription_updates | ( | TAO_Notify_UpdateListener *update_listener | ACE_ENV_ARG_DECL | ) |

TAO_Notify_EMO_Factory* TAO_Notify_Event_Manager::resource_factory | ( | void |  | ) |

void TAO_Notify_Event_Manager::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

void TAO_Notify_Event_Manager::subscribe_for_events | ( | TAO_Notify_EventListener * | event_listener,
|  | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) |

void TAO_Notify_Event_Manager::unregister_from_publication_updates | ( | TAO_Notify_UpdateListener *update_listener | ACE_ENV_ARG_DECL | ) |

void TAO_Notify_Event_Manager::unregister_from_subscription_updates | ( | TAO_Notify_UpdateListener *update_listener | ACE_ENV_ARG_DECL | ) |

void TAO_Notify_Event_Manager::update_publication_list | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) |

void TAO_Notify_Event_Manager::update_task_admins | ( | void |  | ) |

## Member Data Documentation

TAO_Notify_AdminProperties* TAO_Notify_Event_Manager::admin_properties_`[protected]`

TAO_Notify_EMO_Factory* TAO_Notify_Event_Manager::emo_factory_`[protected]`

TAO_Notify_EventChannel_i* TAO_Notify_Event_Manager::event_channel_`[protected]`

TAO_Notify_Event_Map* TAO_Notify_Event_Manager::event_map_`[protected]`

TAO_Notify_Event_Processor* TAO_Notify_Event_Manager::event_processor_`[protected]`

ACE_Lock* TAO_Notify_Event_Manager::lock_`[protected]`

TAO_Notify_Worker_Task* TAO_Notify_Event_Manager::updates_dispatching_task_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Event_Manager.h
- Notify_Event_Manager.cpp